[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]
[platform-help-dev] Migrating from 2.1 to 3.0

Hello,

I'm currently migrating a Eclipse 2.1.1 Information Center to 3.0.  I am 
running both Information Centers with the recommended minimal set of 
plug-ins.  I found several documents, on dev.eclipse.org, stating that 
plug-ins have to migrated from 2.1.1 to 3.0 using the PDE plug-in 
migration tools.  I've also seen documents stating that Eclipse 2.1.1 
plug-ins will be recognized and used if they are placed in the 
eclipse/plugins directory of a Eclipse 3.0 based product.
When I take a Eclipse 2.1.1 help plug-in, that extends 
org.eclipse.help.toc, add it to the eclipse/plugins directory of a 
full-fledged Eclipse 3.0 install, start the workbench, and view help, my 
2.1.1 help plug-in is visible.  When I take the same plug-in and add it to 
the eclipse/plugins directory with the minimal plug-ins required to run an 
Information Center, start Eclipse 3.0 in the information center mode, and 
then view the information center in a browser, my 2.1.1 help plug-in is 
not visible.
So, my questions are:
-Why can I see an Eclipse 2.1.1 help plug-in in an Eclipse 3.0 workbench, 
but not in an Eclipse 3.0 Information Center?
-Is it possible to configure Eclipse 3.0 Information Center to display 
help plug-ins even if they don't have the <?eclipse version="3.0"?> tag?

Please let me know if I need to clarify the situation, or if this would be 
better addressed by a different group.

Regards
Eric Morter